summaryrefslogtreecommitdiff
path: root/usr.bin/vgrind/vgrind.sh
diff options
context:
space:
mode:
authorThorsten Lockert <tholo@cvs.openbsd.org>1996-10-03 19:32:21 +0000
committerThorsten Lockert <tholo@cvs.openbsd.org>1996-10-03 19:32:21 +0000
commit98d6c9800ec1f28ce3085cc22eb135a0e6eec642 (patch)
treec40f2ed53fc7a989c40c0f65bd9200f10a0e4166 /usr.bin/vgrind/vgrind.sh
parentdf2878172a5c2b86f8e2ebf978cb871855334c1a (diff)
Change default formatter from psroff to troff.
Allow formatter to be overridden by setting $TROFF.
Diffstat (limited to 'usr.bin/vgrind/vgrind.sh')
-rw-r--r--usr.bin/vgrind/vgrind.sh23
1 files changed, 16 insertions, 7 deletions
diff --git a/usr.bin/vgrind/vgrind.sh b/usr.bin/vgrind/vgrind.sh
index 3a699887f5b..290193de692 100644
--- a/usr.bin/vgrind/vgrind.sh
+++ b/usr.bin/vgrind/vgrind.sh
@@ -1,6 +1,6 @@
#!/bin/csh -f
#
-# $OpenBSD: vgrind.sh,v 1.2 1996/06/26 05:42:31 deraadt Exp $
+# $OpenBSD: vgrind.sh,v 1.3 1996/10/03 19:32:20 tholo Exp $
# $NetBSD: vgrind.sh,v 1.3 1994/11/17 08:28:06 jtc Exp $
#
# Copyright (c) 1980, 1993
@@ -37,13 +37,22 @@
# @(#)vgrind.sh 8.1 (Berkeley) 6/6/93
#
+# Allow troff to be overridden
+if ( $?TROFF ) then
+ set troff = "$TROFF"
+else
+ set troff = "troff"
+endif
+
+set vf=/usr/libexec/vfontedpr
+set tm=/usr/share/tmac
+
set voptions=
set options=
set files=
set f=''
set head=""
-set vf=/usr/libexec/vfontedpr
-set tm=/usr/share/tmac
+
top:
if ($#argv > 0) then
switch ($1:q)
@@ -119,10 +128,10 @@ if (-r index) then
else
if ("$head" != "") then
$vf $options -h "$head" $files | \
- sh -c "psroff -rx1 $voptions -i -mvgrind 2>> xindex"
+ sh -c "$troff -rx1 $voptions -i -mvgrind 2>> xindex"
else
$vf $options $files | \
- sh -c "psroff -rx1 $voptions -i -mvgrind 2>> xindex"
+ sh -c "$troff -rx1 $voptions -i -mvgrind 2>> xindex"
endif
endif
sort -df +0 -2 xindex >index
@@ -136,9 +145,9 @@ else
endif
else
if ("$head" != "") then
- $vf $options -h "$head" $files | psroff -i $voptions -mvgrind
+ $vf $options -h "$head" $files | $troff -i $voptions -mvgrind
else
- $vf $options $files | psroff -i $voptions -mvgrind
+ $vf $options $files | $troff -i $voptions -mvgrind
endif
endif
endif